<div class="col-12">
{*

    <div class="col-12">
        <button class="btn btn-dark mb-0" onclick="largeModal('counterWidgetAddForm')">{$lang.datatable.create_counter_widget}</button>
    </div>
*}

	{include file='main/datatable.tpl' tableTitle="{$lang.nav.counterwidgets}"
	theads=["id", {$lang.datatable.widget_name}, {$lang.datatable.counter_type},{$lang.datatable.object_type},{$lang.datatable.name}, {$lang.datatable.why_count}, {$lang.datatable.from}, {$lang.datatable.to}, {$lang.datatable.value}, {$lang.datatable.active},{$lang.datatable.uniq_name}, {$lang.datatable.actions}]
	data=$counters }


</div>
<script>
    $(document).ready(function() {
        var counterAdd = document.getElementById("counterWidgetAddForm");
        var counterEdit = document.getElementById("counterEdit");
        var from_count = counterEdit.querySelector('#from_count');
        var to_count = counterEdit.querySelector('#to_count');
        from_count.style.display = 'none';
        to_count.style.display = 'none';
        from_count = counterAdd.querySelector('#from_count');
        to_count = counterAdd.querySelector('#to_count');
        from_count.style.display = 'none';
        to_count.style.display = 'none';

        $('.table_active').on('change', function () {
            let isChecked = $(this).is(':checked') ? 'true' : 'false';
            let dataId = $(this).data("id");

            $.ajax({
                url: 'engine/ajax/lib/counter/check_disable_enable.php', // Заменить на нужный URL
                type: 'POST',
                data: {
                    active: isChecked,
                    id: dataId
                },
                success: function (response) {
                    window.location.reload();
                },
                error: function (xhr, status, error) {
                    console.error('Ошибка:', error);
                }
            });
        });

        $(document).on('click', '#copy-ico', function (e) {
            const copyText = $(this).data('copy'); // Получаем значение переменной

            // Создаем временный input элемент для копирования
            const tempInput = $('<input>');
            $('body').append(tempInput);
            tempInput.val(copyText).select(); // Устанавливаем значение и выделяем его

            // Копируем значение в буфер обмена
            document.execCommand('copy');

            // Удаляем временный input элемент
            tempInput.remove();

            $(this).removeAttr("class");
            $(this).attr("class", "mx-3 fa fa-check");

            setTimeout(() => {
                $(this).removeAttr("class");
                $(this).attr("class", "mx-3 fa fa-copy");
            }, 2000);

        });


    });

    var wabSection = document.getElementById('wabSection');
    wabSection.classList.add('active');
    var widgetsAndBanners = document.getElementById('widgetsAndBanners');
    widgetsAndBanners.classList.add('show');

    $("#counterWidgets").addClass("active");

</script>

